commit b0d55a306114e5ab753cc56d460b940ef16e51ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 17:40:39 2011 -0400

    Updates

 NEWS |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 7565bcd9285cee3a1d360e39e3d33b9f58517246
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 16:42:42 2011 -0400

    List all available icons in Makefile.am

    This mismatch was causing e.g. gtk-caps-lock-warning.png to show
    up as missing image in entries.

    At the same time, sort the icon list alphabetically.

 gtk/Makefile.am |  441
 ++++++++++++++++++++++++++++---------------------------
 1 files changed, 227 insertions(+), 214 deletions(-)

commit 174ad13a2f84403d4b2c1051d04689e6cd1576ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 6 00:31:20 2011 -0500

    Use existing mime type for GTK_FILE stock icon

    document-x-generic is not actually a mimetype. Using text-x-generic
    instead lets us work out-of-the-box in a11y themes.

 gtk/Makefile.am                           |    6 +-
 gtk/stock-icons/16/document-x-generic.png |  Bin 569 -> 0 bytes
 gtk/stock-icons/16/document-x-generic.svg |  246
 -----------------------------
 gtk/stock-icons/16/text-x-generic.png     |  Bin 0 -> 569 bytes
 gtk/stock-icons/16/text-x-generic.svg     |  246
 +++++++++++++++++++++++++++++
 gtk/stock-icons/24/document-x-generic.png |  Bin 736 -> 0 bytes
 gtk/stock-icons/24/document-x-generic.svg |  213
 -------------------------
 gtk/stock-icons/24/text-x-generic.png     |  Bin 0 -> 736 bytes
 gtk/stock-icons/24/text-x-generic.svg     |  213
 +++++++++++++++++++++++++
 9 files changed, 461 insertions(+), 463 deletions(-)

commit c9c23b0728552f9b7a640839100a82ae6d9ac81b
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Mar 28 14:00:03 2011 +0200

    Ensure we always grab the gdk lock in async callbacks

    Async callbacks are delivered in idles, so we need to make sure
    we get the gdk lock before calling any gdk/gtk stuff. This was
    missing in a few places.

 gtk/gtkfilechooserdefault.c  |    9 ++++++++-
 gtk/gtkfilesystem.c          |    3 +++
 gtk/gtkfilesystemmodel.c     |    4 ++++
 gtk/gtkrecentmanager.c       |    6 ++++++
 gtk/gtksearchenginetracker.c |   10 +++++++++-
 5 files changed, 30 insertions(+), 2 deletions(-)

commit 7dec704421569bd029cc57bd4a49b38de74dfda7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Sat Mar 26 15:32:45 2011 +0800

    Update VS Property sheet

    Make GDK-Pixbuf include path consistant with autofiscated builds

 build/win32/vs9/gtk+.vsprops |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7308b4f01b8e49da6777c67bb0f22f2d34547bf5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 20 10:41:02 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  354
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 178 insertions(+), 176 deletions(-)

commit eb475e605680d486a461b5656b9ce517fbc67c19
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Mar 19 17:43:15 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  553
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 280 insertions(+), 273 deletions(-)

commit ddd632dfc68d5024faa67dbb5d85af00d2ea2964
Author: Mike Gorse <mgorse@novell.com>
Date:   Mon Mar 14 15:34:26 2011 -0500

    Support GtkComboBoxEntry in GAIL again

    GAIL now supports the has_entry property for combo boxes, but the old
    GtkComboBoxEntry class does not use this property, so GAIL has
    not been
    supporting it correctly in 2.24.

    http://bugzilla.gnome.org/show_bug.cgi?id=637304

 modules/other/gail/gailcombobox.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 6e178a69fc73b45f66fc511f7a274b8fefc2e2e7
Author: Pavel Holejsovsky <pholejs@src.gnome.org>
Date:   Wed Mar 16 10:45:35 2011 +0100

    [GI] Add missing (out) and (array) annotations

    Backported from master commit 2fb1c064.

 gdk/gdk.c                   |    2 +-
 gdk/gdkdisplay.c            |    2 +-
 gdk/gdkevents.c             |    2 +-
 gdk/gdkrectangle.c          |    2 +-
 gdk/gdkwindow.c             |   22 +++++++++++++---------
 gtk/gtkaboutdialog.c        |   18 +++++++++---------
 gtk/gtkalignment.c          |   12 ++++++++----
 gtk/gtkbuildable.c          |    6 +++---
 gtk/gtkbuilder.c            |    4 ++--
 gtk/gtkbutton.c             |    4 ++--
 gtk/gtkcalendar.c           |    9 ++++++---
 gtk/gtkcellrenderer.c       |   20 ++++++++++----------
 gtk/gtkcellview.c           |    2 +-
 gtk/gtkclipboard.c          |    6 +++---
 gtk/gtkcolorsel.c           |    7 ++++---
 gtk/gtkdialog.c             |    3 ++-
 gtk/gtkeditable.c           |    8 ++++----
 gtk/gtkentry.c              |    4 ++--
 gtk/gtkframe.c              |    6 ++++--
 gtk/gtkhsv.c                |   22 +++++++++++-----------
 gtk/gtkicontheme.c          |   14 ++++++++------
 gtk/gtkiconview.c           |    8 ++++----
 gtk/gtkimcontext.c          |   24 ++++++++++++------------
 gtk/gtklabel.c              |    8 ++++----
 gtk/gtklayout.c             |    6 ++++--
 gtk/gtkmain.c               |    9 +++++----
 gtk/gtkmisc.c               |   10 ++++++----
 gtk/gtkprintcontext.c       |    8 ++++----
 gtk/gtkprinter.c            |    8 ++++----
 gtk/gtkprintsettings.c      |    9 +++++----
 gtk/gtkrange.c              |    8 +++++---
 gtk/gtkrc.c                 |    9 ++++++---
 gtk/gtkrecentchooser.c      |    5 +++--
 gtk/gtkscale.c              |    4 ++--
 gtk/gtkscalebutton.c        |    7 ++++---
 gtk/gtkscrolledwindow.c     |    8 ++++----
 gtk/gtkselection.c          |   19 ++++++++++---------
 gtk/gtkspinbutton.c         |    8 ++++----
 gtk/gtkstock.c              |    6 +++---
 gtk/gtkstyle.c              |    2 +-
 gtk/gtktestutils.c          |    6 ++++--
 gtk/gtktextbufferrichtext.c |   13 +++++++------
 gtk/gtktextiter.c           |    2 +-
 gtk/gtktextview.c           |    2 +-
 gtk/gtktreednd.c            |    7 ++++---
 gtk/gtktreemodelfilter.c    |    2 +-
 gtk/gtktreeview.c           |   39
 ++++++++++++++++++++-------------------
 gtk/gtktreeviewcolumn.c     |    8 ++++----
 48 files changed, 228 insertions(+), 192 deletions(-)

commit 7039a30400e420af9b075e7e2c30c7d0b5876198
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 16 14:45:38 2011 +0800

    Update build/win32/vs9/README.txt

    Make the information in that file more up-to-date.

 build/win32/vs9/README.txt |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 054625ab04bbd6510828addb02b99481ccadbf6c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 14:30:40 2011 -0400

    Bump version

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 89331e8e666d758af496fb408e466bb2b57c0a1a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 12:04:16 2011 -0400

    Fix a stray + in configure.in

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 298c256c37079b21cb7bb82006d9c45a41ca9f04
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 11:53:45 2011 -0400

    Bump version

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a87d84225bf41d60e53499dd3ec18253a2872f59
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 10:35:47 2011 -0400

    Update NEWS for 2.24.2

 NEWS |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 4ddf2c651285bf17137034083ce43d43bd8528b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 10:21:54 2011 -0400

    Use existing mime type for GTK_FILE stock icon

    document-x-generic is not actually a mimetype. Using text-x-generic
    instead lets us work out-of-the-box in a11y themes.

 gtk/gtkiconfactory.c   |    2 +-
 gtk/gtkrecentmanager.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 986289431725f15ab8f3e688df4f8cf4e679cefa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 10:18:35 2011 -0400

    Don't use GDK_NONE when GDK_SELECTION_CLIPBOARD is meant

 gtk/gtkentry.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5af547bf83bcb0bc6f62b31dff75cf30c9a8da86
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Mar 12 21:36:18 2011 -0500

    Add missing annotations

    This adds missing annotations for gdk_window_get_position(),
    gtk_window_get_position() and gtk_accelerator_parse().
    Bug 644353, patch by Ulrik Sverdrup.

 gdk/gdkwindow.c     |    4 ++--
 gtk/gtkaccelgroup.c |    4 ++--
 gtk/gtkwindow.c     |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit cbe449dba49d11332332c63d4c5e098438114c45
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 11 12:19:27 2011 +0800

    Update README.win32

    Make the information in README.win32 more up-to-date.

 README.win32 |   26 ++++++++++++++++++++++----
 1 files changed, 22 insertions(+), 4 deletions(-)

commit 3b3faee6d2299d1554cfc27e829bef7f5775ce62
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Thu Mar 10 13:25:55 2011 +0100

    Fix gdk_keyval_name() and gdk_keyval_from_name() annotations

    Backport annotations from master (which fixes the keyval_name()
    crash due to
    the wrong default transfer annotation), and ensure that the
    g-ir-scanner
    includes them.

    https://launchnpad.net/bugs/732484

 gdk/Makefile.am   |    1 +
 gdk/gdkkeynames.c |   27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit f3cd3c3dd00bcca96c0e223ea836456215ad07d1
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Mar 9 15:06:45 2011 +0900

    Fixed GtkTreeModel::row-deleted documentation

    This documentation was in direct conflict with the documentation
    of gtk_tree_model_row_deleted() docs, the function docs are TRUE,
    the signal docs were FALSE, fixed.

 gtk/gtktreemodel.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit 70715c377e11ac81a8824e2bf156ba459db5a848
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Mar 7 17:25:31 2011 +0100

    gdk: when scrolling windows, use the correct source for copying from

    Previously we were copying from the toplevel window unconditionally.
    This is wrong in two cases:
    1) composited windows
    2) different visuals

    So when encountering such a window in the hierarchy, we stop going up
    and just use the latest window as the source.

    https://bugzilla.gnome.org/show_bug.cgi?id=643416

 gdk/gdkwindow.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 559cb5d8abd55ee8be6ce0992e449a96bb7f5737
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Mar 7 17:11:26 2011 +0100

    build: Fix generation of gtktypefuncs.c with -g3 in CFLAGS

    With -g3, macros are included in the output, and that caused
    gdk_window_get_type() to be included when it shouldn't be.

 gtk/Makefile.am |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit b18d4feaaffce04e997e2b8241a15b5bcf3d3710
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Mar 7 12:05:32 2011 +0100

    x11: Remove unused variable

 gdk/x11/gdkdnd-x11.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit e229f2998b1916d6b0101ce39a64e93933d9a5e4
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Tue Jan 18 16:21:10 2011 +0100

    Fixed gtk_calendar_get_date annotations: Added missing (out)

    Backported from master commit 34b573b07

 gtk/gtkcalendar.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 931faeab12799a88caa8a1c41ff4ca06957582bc
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 25 13:46:39 2011 +0800

    Don't distribute GDK-Pixbuf VS 2008 Projects

    Since GDK-Pixbuf is now in a package of its own, stop the distribution
    of GDK-Pixbuf projects (those files are no longer referenced in the
    GTK+ solution file already)

 build/win32/vs9/Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit b6bf9112ad0316b0746f03e7458d8559eafb8481
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 24 14:53:09 2011 -0600

    [GtkFileChooser] Fix initial selection when hidden files are shown

    We were breaking prematurely out of the loop that goes through
    each file that is pending selection; not only does that loop
    disable filtering and show hidden files if needed, but it also
    selects the files themselves.  So we need to walk the whole
    list of files.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=643170

 gtk/gtkfilechooserdefault.c |   43
 +++++++++++++++++++++++++++++++------------
 1 files changed, 31 insertions(+), 12 deletions(-)

commit e158b9b13a9f1134f6984f131282976898cf8a46
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 13 10:18:03 2010 -0400

    Make GtkRecentManager use standard icon names for themed icons

 gtk/gtkrecentmanager.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b0d0bf7f7db06126427eeab64f1df01320b2e1ad
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Feb 24 19:59:00 2011 +0100

    Avoid spurious emissions of monitors-changed

    The monitor change detection code in _gdk_x11_screen_size_changed()
    and
    process_monitors_change() goes to some length to make sure its
    only emitted
    when there is an actual change to the data visible via the GdkScreen
    monitors
    api.

    However, commit 662e69ad added some code that always emits
    "monitors-changed"
    in _gdk_x11_screen_size_changed when we have randr13 and get a
    ConfigureNotify
    on the root window (even though we may already have emitted it in the
    RRScreenChangesNotify event!).

    As far as I can tell this is due to a comment in the bug referenced
    by the
    commit (https://bugzilla.gnome.org/show_bug.cgi?id=601712#c4) where
    it says:

      This version of the patch changes GdkDisplay to emit
      "monitors-changed" when
      the primary monitor changes (see the change in
      _gdk_x11_screen_size_changed).

    And, if you remove this part of the change the signal is not emitted
    when just
    the primary is changed. However, this is not really the right
    approach. We
    should just also check for if the primary changes in
    process_monitors_change()
    to avoid spurious signal emissions.

    https://bugzilla.gnome.org/show_bug.cgi?id=643216
    (cherry picked from commit 0b0f110152df40795f473c805afd8548facf7377)

    Conflicts:

	gdk/x11/gdkscreen-x11.c

 gdk/x11/gdkscreen-x11.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 20b794812f8cac842bfa5e78e748c82038fed9ad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 21 17:54:24 2011 -0500

    Fix duplicate 'new in 2.22' index

    Spotted by Dieter Verfaillie,
    https://bugzilla.gnome.org/show_bug.cgi?id=642905

 docs/reference/gtk/gtk-docs.sgml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b2f9a53c0040594223c656559ab3f61b6b6f16b8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 21 13:01:22 2011 -0500

    Post-release version bump

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 661c0838b7cc69aa36fdcac07e2adf8a7386368f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 21 12:22:50 2011 -0500

    Update NEWS

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 2baa2dc7f046b303c6f36856607d366e9e632041
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 20 18:47:00 2011 -0500

    Remove annotation that breaks the introspection build

 gdk/gdkwindow.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7ffc605ac2e0cf23f7ceee19a895ba1ea07afecf
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sun Feb 20 12:23:02 2011 +0100

    Updated Hungarian translation

 po-properties/hu.po |	668
 +++++++++++++++++++++++----------------------------
 1 files changed, 304 insertions(+), 364 deletions(-)

commit ac093e25f6e0cbbadef093bad8f17d1cbc089764
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sun Feb 20 01:38:32 2011 +0100

    Updated Hungarian translation

 po/hu.po |  583
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 288 insertions(+), 295 deletions(-)

commit af9174693198d8263df8b20dc32a869a3b57d222
Author: Tor Lillqvist <tml@iki.fi>
Date:	Sun Feb 20 01:33:00 2011 +0200

    Handle emulated keyboard input that arrives as VK_PACKET

    Fixes bug #642772. Thanks to the anonymous bug reporter for providing
    a test program.

 gdk/win32/gdkevents-win32.c |	 16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 44b2e88aefb4010e10d1941c05c4741fe12760f1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 19 13:30:02 2011 -0500

    Make gtk_combo_box_text_get_active_text() behave as documented

    If there is an entry, it is supposed to return the contents
    of the entry. Pointed out by Allin Cottrell,
    https://bugzilla.gnome.org/show_bug.cgi?id=642681

 gtk/gtkcomboboxtext.c |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit c14e9ee768e26a375556a30b5a45af2378cb277a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 19 12:47:04 2011 -0500

    Fix doc comment syntax

 gdk/gdkwindow.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b609bd11498472a0ebf899104c6d02ce78271678
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 19 10:16:58 2011 -0500

    Fix doc comment

 gdk/x11/gdkscreen-x11.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cb3f20ecbe3698d4207f9e04935739b709d87fe8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 17 19:06:19 2011 -0500

    GailEntry: remove idle if cell editing is canceled

    This avoids warnings when cell editing is interrupted e.g. by
    adding or removing a row.

 modules/other/gail/gailentry.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3998dd9563b2de65735ea7fb44bb835a11817f06
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 17 18:49:01 2011 -0500

    gtk-demo: plug a memleak in the editable cells demo

 demos/gtk-demo/editable_cells.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 856a69936b5cf94c7605e10bde875183088c6d1e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 17 18:34:28 2011 -0500

    Fix a memory leak with file chooser previews

 gtk/gtkfilechooserdefault.c |	  7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 5813ccc70024c2708e8b444dd4414129efb25246
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 17 15:56:52 2011 -0500

    Remove a leaking get_name implementation

    This was leaking a lot of memory; just rely on atk_object_get_name.

 gtk/gtkiconview.c |   29 ++++-------------------------
 1 files changed, 4 insertions(+), 25 deletions(-)

commit 8a6bf123466cc60259b88437757b27b10a344de3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 17 15:54:50 2011 -0500

    Don't leak the GDir in the iconview example

 demos/gtk-demo/iconview.c |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f7b7346f8db129451b43371d47abfbafba20179d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 17 13:29:59 2011 -0500

    Check if the accessible is actually an AtkAction

 gtk/gtkwidget.c |   53
 +++++++++++++++++++++++++++++------------------------
 1 files changed, 29 insertions(+), 24 deletions(-)

commit db550581784df99c1540a10cc3879917813e8d68
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 16 23:30:21 2011 -0500

    Remove a bunch of crazy code from gail

    ...and replace it with only slightly less crazy code.
    No need to create an destroy hash tables for each key press.

 modules/other/gail/gailutil.c |   94
 +++++++++++++++++++++++-----------------
 1 files changed, 54 insertions(+), 40 deletions(-)

commit 6fcb3899755cf6815aabb395cfb1fbdd59e5c153
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 16 22:57:25 2011 -0500

    gail: Fix the atk_add_key_event_listener implementation

    Based on a patch by Alejandro Piñeiro Iglesias,
    https://bugzilla.gnome.org/show_bug.cgi?id=599907

 modules/other/gail/gailutil.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit c26905747ffc7a683574344e3c745bbd701742a8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 16 22:35:16 2011 -0500

    gail: support indeterminate state of check menuitems

    Patch by Szilárd Pfeiffer
    https://bugzilla.gnome.org/show_bug.cgi?id=626730

 modules/other/gail/gailcheckmenuitem.c    |   25
 ++++++++++++++-----------
 modules/other/gail/gailchecksubmenuitem.c |   25
 ++++++++++++++-----------
 2 files changed, 28 insertions(+), 22 deletions(-)

commit fa007952bab7f1dcdf92f5bc34d7e99b3d29b5a7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 16 18:46:44 2011 -0500

    Check the return value of gtk_tree_model_get_iter

    Noticed in passing, didn't really see it crash there, but
    better safe than sorry.

 gtk/gtktreeview.c |	7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit de7b27159d8505494c1bf98d40003c0ddab96e2b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 16 18:40:14 2011 -0500

    gtk_tree_model_filter_row_deleted: don't emit signals too early

    gtk_tree_model_filter_row_deleted was emitting ::row-deleted while
    the internal state of the model was still in disarray, causing
    segfaults e.g. when mapping the file chooser with accessibility
    turned on. This is just a bandaid fix, and doesn't try address
    any of the deeper problems of the filter model code.

    I did take the time to reduce rampant variable shadowing in that
    function, though.

 gtk/gtktreemodelfilter.c |   59
 +++++++++++++++++++++++++---------------------
 1 files changed, 32 insertions(+), 27 deletions(-)

commit 9bc8ba7e5dd7aa7684e19222c547bbd7fc4dc9ac
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 11 23:53:39 2011 -0500

    Use standard icon names

 tests/teststatusicon.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 48342ad2bdc5343cb77cae1159795c79c4203474
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 19 10:02:29 2011 -0500

    Add warnings about environment variables

    These variables all get read by GTK 3 as well, which makes
    them dangerous at best.

 docs/reference/gtk/running.sgml |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 420f2fbddcbc19830cf70503ca1ca5c1f1b842db
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:	Sat Feb 5 00:58:40 2011 +0900

    Fixed gtk_recent_chooser_menu_set_current_filter to update the
    local pointer.

    Before this patch, unsetting the filter manually before disposing
    the recent chooser menu (or unsetting the filter twice), would cause
    warnings (or invalid memory accesses).

 gtk/gtkrecentchoosermenu.c |	 9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 45d05f52c22a7b5d37a4c70574ffc1d9e1c84789
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:	Wed Feb 2 15:11:06 2011 +0100

    [GI] Mark mis-detected constructors as such

    constructors which take an object of the same class as its first
    argument are
    mis-detected as method call with "self" argument by the GIR
    scanner. Using the
    new (constructor) annotation from bug 561264, mark some of them
    as proper
    constuctors, so that you can call them with NULL as first argument
    from
    bindings; in particular, this fixes gdk_window_new() and the
    gtk_radio_button_new_with*() constructors.

 gdk/gdkwindow.c      |    2 +-
 gtk/gtkradiobutton.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 0e47df0ee0a87990a38227b5010b6607d5569cee
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 19 09:44:05 2011 -0500

    Add a missing include

    https://bugzilla.gnome.org/show_bug.cgi?id=642642

 gtk/gtkmodules.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fa2d05ab4e9fa60d9f790a09e55679a00ed700d1
Author: Martin Nordholts <martinn@src.gnome.org>
Date:	Tue Feb 1 23:07:21 2011 +0100

    Bug 633291 - Handle Shift-keys in X11 gdk_test_simulate_key()

    If a level 1 key maps to a key value passed to
    gdk_test_simulate_key(), raise the GDK_SHIFT_MASK flag so the reqested
    key value is generated. Also add a regression test for this fix.

 gdk/x11/gdktestutils-x11.c |	 9 +++++++--
 gtk/tests/testing.c	    |	41
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+), 2 deletions(-)

commit e3185138acaed37acbe23127878704e267efdaa5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 12 08:06:31 2011 -0500

    Fix the build without the Composite headers

    The code was already protected by #ifdef HAVE_XCOMPOSITE, but
    we forgot the include.
    https://bugzilla.gnome.org/show_bug.cgi?id=642137

 gdk/x11/gdkdnd-x11.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8e51a22707386f21372f3b3481ac4ec7f08d0ac5
Author: Colin Walters <walters@verbum.org>
Date:	Fri Feb 11 12:00:05 2011 -0500

    docs: Link to all GTK+ 2 versions, add GTK+ 3 link

    Now that we have both URLs on library.gnome.org, improve the links so
    that we point at all versions of both.

 docs/reference/gdk/gdk-docs.sgml |   11 +++++++----
 docs/reference/gtk/gtk-docs.sgml |   11 +++++++----
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 28f82afd0e8e0ea76910a2c32e69feb4c15d861d
Author: Michael Natterer <mitch@gimp.org>
Date:	Fri Feb 11 10:35:25 2011 +0100

    gtk: don't send BUTTON_RELEASE to unrealized widgets

    which happened when the source widget was hidden or destroyed while a
    drag was going on, like when dragging from a popup that got a grab
    broken as result of the dnd operation.

 gtk/gtkdnd.c |   47 +++++++++++++++++++++++++----------------------
 1 files changed, 25 insertions(+), 22 deletions(-)

commit 64adba6e3e44551a99dfae9e9198f7645c7bec35
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 8 18:02:48 2011 -0500

    Extend the mixed-dependency check to modules as well

    This helps prevent accidents with GTK_PATH.

 gtk/gtkmain.c	  |   27 +++++++++++++++++++--------
 gtk/gtkmain.h	  |    3 +++
 gtk/gtkmodules.c |   20 +++++++++++++++++---
 3 files changed, 39 insertions(+), 11 deletions(-)

commit bd0f159b6c24ea05b8f47ea502116a8def7bbd35
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Feb 2 18:03:09 2011 +0100

    Updated Polish translation

 po-properties/pl.po |	565
 +++++++++++++++++++++++++++------------------------
 1 files changed, 298 insertions(+), 267 deletions(-)

commit 03bdae8dcc942ab169f7e2faf2c22f5303b390dc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Feb 2 18:02:36 2011 +0100

    Updated Polish translation

 po/pl.po |  536
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 273 insertions(+), 263 deletions(-)

commit 1d8bac64b2fb833fad9d3d9746c35e62e851e76b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 31 11:32:19 2011 -0500

    Fix a segfault in gtk_statusbar_remove_all

    https://bugzilla.gnome.org/show_bug.cgi?id=640487

 gtk/gtkstatusbar.c  |	  5 ++++-
 gtk/tests/testing.c |	 21 +++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletions(-)

commit 47b2868a087ff1dbf34c4c76df3bbc002a19c979
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 30 23:58:44 2011 -0500

    Add missing return type

    Pointed out by Chun-wei Fan
    https://bugzilla.gnome.org/show_bug.cgi?id=640992

 gtk/gtkrange.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 66f55661add359eea4973f67b25bfa56a474e5b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 30 00:33:49 2011 -0500

    Bump version to 2.24.1

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0b3710d762decd49547d17d8decb316c4eca0968
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 30 00:04:04 2011 -0500

    Fix doc format problems

 gtk/gtkcomboboxtext.c |    4 ++--
 gtk/gtktexttagtable.c |    5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit e8a0f3cfb825cbf684a4b62fca6eb6461539eb2f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 29 23:52:32 2011 -0500

    Fix the build

 gtk/gtktextview.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0b5a530ef1d5a44fe16b9aafb20c558cd48f7a5c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 29 23:32:55 2011 -0500

    More updates

 NEWS |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit bb8e1c67c6e9b20a4a13d5d95a8d809d260e31e1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 29 22:40:41 2011 -0500

    Check if buffer is NULL after setting it to NULL, not before.

    This catches cases when "notify::buffer" handler does not recreate
    the buffer again, which could end in reference leak.

    https://bugzilla.gnome.org/show_bug.cgi?id=634677
    (cherry picked from commit d688343a31dbe67f34228b998bbb753584d8d2e9)

 gtk/gtktextview.c |	5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 840c9aa8d944f7ed9dc258458fca8a4be291c3cf
Author: Luca Ferretti <lferrett@gnome.org>
Date:	Sat Jan 29 16:03:33 2011 +0100

    Updated Italian translation

 po-properties/it.po |	415
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 214 insertions(+), 201 deletions(-)

commit f80f4f5ce3c1038068e451c50a6fe93b1ba422b5
Author: Luca Ferretti <lferrett@gnome.org>
Date:	Sat Jan 29 16:00:27 2011 +0100

    Updated Italian translation

 po/it.po |  558
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 282 insertions(+), 276 deletions(-)

commit 6dd57dfe65bd89311039e1115034348623d84e19
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 28 23:19:39 2011 -0500

    Updates for 2.24.0

 NEWS |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 7cda5b54fb0044ff594a8b15dfc4f59641b71e00
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 28 23:19:14 2011 -0500

    Bump version to 2.24.0

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b08b4cccc595707e7d3db5263263472f54b7e879
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	Fri Jan 28 13:24:26 2011 +0100

    Remove gtk_paste_point_override mark if we don't insert any text.

    This patch fixes bug #590459.

 gtk/gtktextbuffer.c |	 16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 461d71f6aa7f93a7a57a1d19053cd79597a09070
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:	Wed Jan 26 14:39:50 2011 +0100

    [GI] Fix gtk_tree_view_get_cursor() transfer annotation

 gtk/gtktreeview.c |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a33dceee4b1bd22a03d69312e65a407cd4953a54
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:	Wed Jan 26 14:09:25 2011 +0100

    [GI] Backport transfer annotations

 gtk/gtkclipboard.c   |   12 +++++++-----
 gtk/gtkcontainer.c   |    5 +++--
 gtk/gtkdialog.c      |    2 +-
 gtk/gtkprogressbar.c |    7 +++++++
 gtk/gtkselection.c   |    7 ++++---
 gtk/gtktreeview.c    |    2 +-
 gtk/gtkwidget.c      |    5 +++--
 gtk/gtkwindow.c      |    2 +-
 8 files changed, 27 insertions(+), 15 deletions(-)

commit 5cded4d5e29e4c841885894a6fc63f631e2c8c5c
Author: Pavel Holejsovsky <pholejs@src.gnome.org>
Date:	Wed Jan 26 12:49:08 2011 +0100

    [GI] Add missing (transfer) annotations

    Backported from master commit 2f0d40335b.

 gdk/gdkcursor.c	      |    2 +-
 gdk/gdkwindow.c	      |   14 ++++++++------
 gdk/x11/gdkdisplay-x11.c     |    3 ++-
 gdk/x11/gdkvisual-x11.c      |    4 ++--
 gtk/gtkaboutdialog.c	      |    6 +++---
 gtk/gtkaccelgroup.c	      |    7 ++++---
 gtk/gtkaction.c	      |    5 +++--
 gtk/gtkbindings.c	      |    2 +-
 gtk/gtkcontainer.c	      |   11 ++++++-----
 gtk/gtkdnd.c		      |   10 +++++-----
 gtk/gtkiconfactory.c	      |    4 ++--
 gtk/gtklabel.c		      |    3 ++-
 gtk/gtkmain.c		      |    3 ++-
 gtk/gtkmenu.c		      |   28 ++++++++++++++++++++++++++++
 gtk/gtknotebook.c	      |    3 ++-
 gtk/gtkpagesetupunixdialog.c |    4 ++--
